Qu'elle version de Xcode télécharger???

cirdan

Membre confirmé
10 Janvier 2007
244
8
Québec
Bonjour,

Je viens de m'inscrire à la version gratuite de ADC afin de télécharger Xcode pour programmer des petits utilitaires en Java et de pouvoir mettre des interfaces a mes scripts AppleScript avec AppleScript Studio. Mai je ne sais pas qu'elle version choisir et télécharger.

Si nous allons à la page officiel d'Apple Xcode, la version 2.4.1 est proposé et téléchargeable.

Si nous nous connectons directement à notre account ADC, dans la section download, seulement la version "Xcode 2.5 Developer Preview 8M2540a" est téléchargeable et la version 2.4.1 est null part.

Qu'elle version me conseillez-vous?

Aussi, j'aimerais que mon Xcode et mon AppleScript Studio soit en français, les installateurs developer.apple.com sont multilangues?

Désolé de toutes ces questions, j'ai une connexion Internet à large bande mais limitée à 20gig de téléchargement par mois. Alors je n'ai pas envie de télécharger plus de 900 mo pour rien.

Merci de votre aide :)
 

Eul Mulot

Membre émérite
12 Juin 2006
821
73
32
Belfort
Pour ce qui est de la langue utilisée dans Xcode, je ne sais pas de trop, j'ai préféré laisser ma version en anglais.

Ensuite pour la version, tu peux prendre 2.4.1, si l'autre est une preview developper, c'est pas forcement sûr que tu puisses l'avoir avec l'adc gratuit.

Pourquoi faire du Java, alors qu'il y a Cocoa qui te tend les bras ?!
 

zacromatafalgar

Membre émérite
Salut,

Pour commencer tu ne pourras pas avoir xCode en français, ensuite la version 2.5 des developer tools ne me semble être qu'une version de transition pour que nos projets actuels soient compatibles avec le futur xCode 3 et cette version 2.5 est bien accessible aux comptes ADC gratuits. ;)
 

cirdan

Membre confirmé
10 Janvier 2007
244
8
Québec
Bonjour et merci de vos réponses.

Je viens de télécharger et d'installer Xcode 2.4.1.

Pouvez-vous me dire où se trouve l'application AppleScript Studio?

Dans Macintosh HD:Developer:Applications, il y a bien Xcode et une multitudes d'autes applications dans des sous-dossiers mais aucune trace de AppleScript Studio.

Merci
 

Ludopac

Membre émérite
5 Avril 2001
970
4
38
Nancy
www.objectifmac.com
Bonjour et merci de vos réponses.

Je viens de télécharger et d'installer Xcode 2.4.1.

Pouvez-vous me dire où se trouve l'application AppleScript Studio?

Dans Macintosh HD:Developer:Applications, il y a bien Xcode et une multitudes d'autes applications dans des sous-dossiers mais aucune trace de AppleScript Studio.

Merci

Apple Script Studio n'est pas une application à proprement dite. Il s'agit plutôt d'un concept.

En fait tu utilises Xcode pour créer une application Cocoa programmée avec le langage AppleScript.

Donc lance Xcode et crée un nouveau projet "AppleScript Application".
 

cirdan

Membre confirmé
10 Janvier 2007
244
8
Québec
Super! Merci de vos réponses :D
 

clampin

Membre d’élite
Club MacG
22 Septembre 2000
1 002
177
49
Louvain-La-Neuve, Belgique
www.clampin.com
Salut,

Pour commencer tu ne pourras pas avoir xCode en français, ensuite la version 2.5 des developer tools ne me semble être qu'une version de transition pour que nos projets actuels soient compatibles avec le futur xCode 3 et cette version 2.5 est bien accessible aux comptes ADC gratuits. ;)
Est-ce que ça vaut la peine de télécharger la 2.5 alors qu'on sait que Xcode 3 sera distribué avec Leopard et ce dans quelques mois ?

Est-ce Xcode 3 pourra récupérer les projet 2.4.1 ?
 

zacromatafalgar

Membre émérite
Je pense que cette version 2.5 a pour but de rendre nos projet 2.4.1 compatibles avec la version 3 de xCode…

Extrait :
Xcode 2.5 Developer Preview 8M2540a
This developer preview seed of Xcode 2.5 is a minor update to the Mac OS X 10.4 (Tiger) developer tools and is functionally similar to Xcode 2.4.1. Xcode 2.5 for the first time supports development hosted on Tiger as well as the current seed of Mac OS X 10.5 (Leopard). On Tiger systems Xcode 2.5 will upgrade previous versions of Xcode; on Leopard systems Xcode 2.5 will install along side Xcode 3.0. Please read the release notes for installation details. Xcode 2.5 does not support Leopard as a target platform, the Mac OS X 10.5 SDK, nor other Leopard-specific features. Xcode 2.5 is provided to smooth the transition to Xcode 3.0 for existing projects. Xcode 3.0 is the recommended toolset for development of applications targeting Mac OS X 10.5 (Leopard) back to Mac OS X 10.3.9.
 

tatouille

Vétéran
1 Juin 2004
5 174
494
Stanford CA
Est-ce que ça vaut la peine de télécharger la 2.5 alors qu'on sait que Xcode 3 sera distribué avec Leopard et ce dans quelques mois ?

Est-ce Xcode 3 pourra récupérer les projet 2.4.1 ?
oui en gros, j'ai quelques merdes en revanche entre la 3 et la 2.X

la 2.5 je la conseille pour tous meme si c'est une MàJ mineure

c'est l'occasion de refaire le menage ds votre dossier Developper :D

:zen: